Category:    
Department: D/CS-G23 Affected Products: ADTF 2.14.3
Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

Is there a standard filter in any of the toolboxes to convert the data from an ADTF .dat file (CAN recording) to a Vector CANoe

readable file, e.g. .asc, .blf, .ttl, etc.?

Lösung

In ADTF 2.x you can use the Datexporter dazu to export/import data from/to dat recordings:

Kap. 3.10.1 DAT Exporter im ADTF Usermanual

There is also a command line version:

Kap. 3.10.4 Command line DAT Exporter/Importer/Repair im ADTF Usermanual

In dessen --help gibt es meines Wissens auch ein Bsp. explizit für CAN ASC

The Device Toolbox provides an exporter sink for ASC:

Kap. 9.1.5 CAN im Device TB Usermanual

History

#1 - 2021-01-14 14:22 - hidden

- Project changed from 11 to 30

- Status changed from New to Customer Feedback Required

- Topic set to DeviceTB::ASC

Hallo Christoph,

in ADTF 2.x dient der Datexporter dazu, Daten von/zu DAT zu exportieren/importieren mittels entsprechender Sinks:

Kap. 3.10.1 DAT Exporter im ADTF Usermanual

Dazu gibt es auch ein Kommandozeilen Pendant:

Kap. 3.10.4 Command line DAT Exporter/Importer/Repair im ADTF Usermanual

In dessen --help gibt es meines Wissens auch ein Bsp. explizit für CAN ASC

In der Device TB gibt es eine entsprechende Sink für ASC:

Kap. 9.1.5 CAN im Device TB Usermanual

#2 - 2021-01-22 16:21 - hidden

- Project changed from 30 to Public Support

- Description updated
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf/v2/ADTFUserManual.pdf
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v2/devicetoolbox.pdf


- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#3 - 2021-07-26 13:24 - hidden

- Customer changed from Car.SW Org. to CARIAD

#4 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
